Storyden
Robots

Read a Robot session turn stream

Read persisted turn events after an offset, optionally attaching to the live tail using Server-Sent Events.

GET
/robots/sessions/{session_id}/turns/{turn_id}

Read persisted turn events after an offset, optionally attaching to the live tail using Server-Sent Events.

Authorization

cookiestoryden-session<token>

Path Parameters

session_id*string

Robot session ID

Formatxid
turn_id*string

Robot turn ID

Formatxid

Query Parameters

offset?string

Read events after this stream offset. Use -1 to start at beginning.

Default"-1"
live?"sse"

Attach to the live stream tail after catching up.

Value in"sse"

Response Body

Persisted Robot turn events, optionally followed by a live SSE tail.

  1. response
[index: integer]?||||||||||||||||||||
Example Request
curl -X GET 'https://example.com/api/robots/sessions/string/turns/string'
Example Response
[  {    "type": "start",    "messageId": "string"  }]